%define	major   1
%define libname	%mklibname gssglue %{major}
%define develname	%mklibname gssglue -d

Name:		libgssglue
Version:	0.4
Release:	%mkrel 3
Summary:	A mechanism-switch gssapi library
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:        http://www.citi.umich.edu/projects/nfsv4/linux/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	multiarch-utils
BuildRequires:	krb5-devel

%description
libgssglue provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{libname}
Summary:	A mechanism-switch gssapi library
Group:		System/Libraries

%description -n	%{libname}
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{develname}
Summary:	Static library and header files for the libgssapi library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	gssglue-devel = %{version}-%{release}
Obsoletes:	%{mklibname gssapi 2 -d}

%description -n	%{develname}
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

This package contains the static libgssapi library and its
header files.

%prep
%setup -q
# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" doc/gssapi_mech.conf

%build
%configure2_5x
%make

%install
rm -rf %buildroot
install -d %{buildroot}%{_sysconfdir}

%makeinstall_std

%multiarch_includes %{buildroot}%{_includedir}/gssglue/gssapi/gssapi.h

rm -f %buildroot/%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%multiarch %{multiarch_includedir}/gssglue/gssapi/gssapi.h
%{_includedir}/gssglue/gssapi/gssapi.h
%{_libdir}/*.so
%{_libdir}/*.a

%{_libdir}/pkgconfig/libgssglue.pc

%clean
rm -rf %buildroot


%changelog
* Tue Oct 15 2019 tex - 0.4-3pclos2019
- rebuild against updates

* Thu Apr 18 2017 bb2 <bb2> - 0.4-2pclos2017
- rebuild for 2017

* Wed Oct 22 2014 bb <bb> 0.4-1pclos2014
- update
